Get Glossary Terms

Retrieves glossary term list.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

GET /api/sonar/glossary/terms
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/glossary/terms?category=table"
Request Parameters
KeyRequiredTypeDescriptionNotes
offsetN32-bit integerNumber to skipDefault: 0
limitN32-bit integerMaximum countDefault: 20
keywordsNStringSearch keywordsString to search in term, code, description
categoryNStringCategoryTerm usage target. One of table, field
localeNStringLanguageOne of ko(Korean), en(English), zh(Chinese)

Success Response

HTTP status code 200 response

{
  "total_count": 1,
  "terms": [
    {
      "guid": "a07e6bd4-5ca2-11f0-ad90-acde48001122",
      "locale": "ko",
      "term": "Timestamp",
      "type": "DATE",
      "code": "_time",
      "category": "field",
      "description": "Log creation timestamp",
      "created": "2025-07-01 00:31:13+0900",
      "updated": "2025-07-01 00:31:13+0900"
    }
  ]
}
Response Fields
FieldTypeDescription
total_count32-bit integerTotal count matching search criteria
termsArrayTerm list
terms[].guidStringTerm GUID (36-character GUID)
terms[].localeStringLanguage (One of ko(Korean), en(English), zh(Chinese))
terms[].termStringTerm
terms[].typeStringData type (One of DATE, STRING, IP, PORT, SHORT, INT, LONG, COUNTRY, FLOAT, DOUBLE, BOOL, MD5, SHA1, URL, SHA256, DOMAIN)
terms[].codeStringTerm identification code
terms[].categoryStringTerm usage target category (One of table, field)
terms[].descriptionStringTerm description
terms[].createdStringCreation date/time (yyyy-MM-dd HH:mm:ssZ format)
terms[].updatedStringModification date/time (yyyy-MM-dd HH:mm:ssZ format)

Error Responses

offset, limit: non-integer values

HTTP status code 400 response

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
offset, limit: negative values

HTTP status code 400 response

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' must be greater than or equal to 0."
}
offset, limit: exceeds maximum value

HTTP status code 400 response

{
  "error_code": "invalid-argument",
  "error_msg": "'limit' must be less than or equal to 2147483647."
}
category: invalid value

HTTP status code 400 response

{
  "error_code": "invalid-argument",
  "error_msg": "invalid category: ABC"
}
permission: no glossary term viewing permission

HTTP status code 500 response

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}